import * as tt from 'typescript';
import TransformContext from './TransformContext';
export default class Scope {
    readonly source: tt.SourceFile;
    readonly context: TransformContext;
    readonly localTypes: Set<string>;
    readonly exportedTypes: Set<string>;
    readonly localEnums: Set<string>;
    readonly exportedEnums: Set<string>;
    constructor(source: tt.SourceFile, context: TransformContext);
    createError(msg: string, node: tt.TextRange): Error;
    addLocalTypeName(name: string): void;
    addExport(exported: string, local?: string): void;
    addEnum(name: string): void;
}
