#! /usr/bin/env node
"use strict";
exports.__esModule = true;
var fs_1 = require("fs");
var lsr_1 = require("lsr");
var micromatch_1 = require("micromatch");
var _1 = require("./");
var context = new _1.TransformContext();
var patterns = process.argv.slice(2);
lsr_1.lsrSync(process.cwd()).forEach(function (entry) {
    if (entry.isFile() && /\.d.ts$/.test(entry.path) && patterns.some(function (p) { return micromatch_1.isMatch(entry.path.substr(2), p); })) {
        var code = context.transform(entry.fullPath).code;
        fs_1.writeFileSync(entry.fullPath.replace(/\.d\.ts$/, '.js.flow'), code);
    }
});
