"use strict";
exports.__esModule = true;
var ts = require("typescript");
var hasModifier_1 = require("./hasModifier");
function declarationExports(node, scope) {
    var name = node.name;
    if (!name || name.kind !== ts.SyntaxKind.Identifier) {
        return '';
    }
    if (!hasModifier_1["default"](node, ts.SyntaxKind.ExportKeyword)) {
        return '';
    }
    var id = name.text;
    var enumStr = '';
    if (scope.localEnums.has(id)) {
        enumStr = "export type {" + id + "Type};";
    }
    if (hasModifier_1["default"](node, ts.SyntaxKind.DefaultKeyword)) {
        scope.addExport('default', id);
        if (scope.localTypes.has(id)) {
            return "export type {" + id + " as defaultType};";
        }
        return enumStr + "export default " + id + ";";
    }
    scope.addExport(id, id);
    return enumStr + "export " + (scope.localTypes.has(id) ? 'type' : '') + " {" + id + "};";
}
exports["default"] = declarationExports;
