"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformIdentifier_1 = require("./transformIdentifier");
var transformArrayBindingPattern_1 = require("./transformArrayBindingPattern");
var transformObjectBindingPattern_1 = require("./transformObjectBindingPattern");
function transformBindingName(name, scope) {
    switch (name.kind) {
        case tt.SyntaxKind.Identifier:
            return transformIdentifier_1["default"](name, scope);
        case tt.SyntaxKind.ObjectBindingPattern:
            return transformObjectBindingPattern_1["default"](name, scope);
        case tt.SyntaxKind.ArrayBindingPattern:
            return transformArrayBindingPattern_1["default"](name, scope);
    }
}
exports["default"] = transformBindingName;
