"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformConstructor_1 = require("./transformConstructor");
var transformPropertyDeclaration_1 = require("./transformPropertyDeclaration");
var transformMethodDeclaration_1 = require("./transformMethodDeclaration");
function transformClassElement(node, scope) {
    switch (node.kind) {
        case tt.SyntaxKind.SemicolonClassElement:
            return '';
        case tt.SyntaxKind.PropertyDeclaration:
            return transformPropertyDeclaration_1["default"](node, scope);
        case tt.SyntaxKind.Constructor:
            return transformConstructor_1["default"](node, scope);
        case tt.SyntaxKind.MethodDeclaration:
            return transformMethodDeclaration_1["default"](node, scope);
    }
    throw scope.createError('Unsupported class element kind ' + tt.SyntaxKind[node.kind], node);
}
exports["default"] = transformClassElement;
