"use strict";
exports.__esModule = true;
var transformTypeNode_1 = require("./transformTypeNode");
var transformTypeParameters_1 = require("./transformTypeParameters");
var transformParameterDeclaration_1 = require("./transformParameterDeclaration");
function transformConstructor(node, scope) {
    var typeParameters = transformTypeParameters_1["default"](node.typeParameters, scope);
    var parameters = node.parameters.map(function (p) { return transformParameterDeclaration_1["default"](p, scope); }).join(',');
    var returnType = node.type ? transformTypeNode_1["default"](node.type, scope) : 'void';
    return "constructor" + typeParameters + "(" + parameters + "): " + returnType + ";";
}
exports["default"] = transformConstructor;
