"use strict";
exports.__esModule = true;
var tt = require("typescript");
var declarationExports_1 = require("./declarationExports");
var transformExpression_1 = require("./transformExpression");
var transformIdentifier_1 = require("./transformIdentifier");
var transformPropertyName_1 = require("./transformPropertyName");
function transformEnumDeclaration(statement, scope) {
    var name = transformIdentifier_1["default"](statement.name, scope);
    var names = statement.members.map(function (m) {
        return "'" + transformPropertyName_1["default"](m.name, scope) + "'";
    });
    var values = statement.members.map(function (m) {
        return transformExpression_1["default"](m.initializer, scope);
    }).join(' | ');
    scope.addEnum(name);
    var typeDeclaration = "type " + name + "Type = " + values + ";";
    var valueDeclaration = "\n    declare var " + name + ": {\n      " + statement.members.map(function (m) {
        return "+" + transformPropertyName_1["default"](m.name, scope) + ": " + transformExpression_1["default"](m.initializer, scope) + ";";
    }).join('') + "\n      " + statement.members.filter(function (m) { return !names.includes(transformExpression_1["default"](m.initializer, scope)); }).map(function (m) {
        var initializer = m.initializer;
        var value = transformExpression_1["default"](initializer, scope);
        return "+" + (initializer.kind !== tt.SyntaxKind.StringLiteral ? "'" + value + "'" : value) + ": '" + transformPropertyName_1["default"](m.name, scope) + "';";
    }).join('') + "\n    };\n  ";
    return typeDeclaration + valueDeclaration + declarationExports_1["default"](statement, scope);
}
exports["default"] = transformEnumDeclaration;
