"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformExpression_1 = require("./transformExpression");
function transformExportAssignment(statement, scope) {
    if (statement.isExportEquals) {
        return "module.exports = " + transformExpression_1["default"](statement.expression, scope) + ";";
    }
    if (tt.isIdentifier(statement.expression)) {
        var id = statement.expression.text;
        if (scope.localEnums.has(id)) {
            scope.exportedEnums.add('default');
            return "export type {" + id + "Type as defaultType}; export default " + id + ";";
        }
        if (scope.localTypes.has(id)) {
            scope.exportedTypes.add('default');
            return "export type {" + id + " as defaultType};";
        }
    }
    return "export default " + transformExpression_1["default"](statement.expression, scope) + ";";
}
exports["default"] = transformExportAssignment;
