"use strict";
exports.__esModule = true;
function transformExportDeclaration(statement, scope) {
    if (!statement.exportClause)
        return '';
    return statement.exportClause.elements.map(function (element) {
        var exported = element.name.text;
        var local = (element.propertyName || element.name).text;
        scope.addExport(exported, local);
        var specifierText = exported === local ? "{" + local + "}" : "{" + local + " as " + exported + "}";
        if (scope.localTypes.has(local)) {
            return "export type " + specifierText + ";";
        }
        if (scope.localEnums.has(local)) {
            var enumSpecifierText = exported === local ? "{" + local + "Type}" : "{" + local + "Type as " + exported + "Type}";
            return "export type " + enumSpecifierText + ";export " + specifierText + ";";
        }
        return "export " + specifierText + ";";
    }).join('\n');
}
exports["default"] = transformExportDeclaration;
