"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformIdentifier_1 = require("./transformIdentifier");
var transformStringLiteral_1 = require("./transformStringLiteral");
var transformNumericLiteral_1 = require("./transformNumericLiteral");
var transformPrefixUnaryExpression_1 = require("./transformPrefixUnaryExpression");
function transformExpression(expression, scope) {
    switch (expression.kind) {
        case tt.SyntaxKind.Identifier:
            return transformIdentifier_1["default"](expression, scope);
        case tt.SyntaxKind.StringLiteral:
            return transformStringLiteral_1["default"](expression, scope);
        case tt.SyntaxKind.NumericLiteral:
            return transformNumericLiteral_1["default"](expression, scope);
        case tt.SyntaxKind.TrueKeyword:
            return 'true';
        case tt.SyntaxKind.FalseKeyword:
            return 'false';
        case tt.SyntaxKind.PrefixUnaryExpression:
            return transformPrefixUnaryExpression_1["default"](expression, scope);
    }
    throw scope.createError('Unsupported expression kind ' + tt.SyntaxKind[expression.kind], expression);
}
exports["default"] = transformExpression;
