"use strict";
exports.__esModule = true;
var fs_1 = require("fs");
var resolve_1 = require("resolve");
var transformIdentifier_1 = require("./transformIdentifier");
var transformExpression_1 = require("./transformExpression");
// TODO: share code with transformImportDeclaration
function packageFilter(pkg) {
    if (pkg.types) {
        pkg.main = pkg.types;
    }
    return pkg;
}
function tryResolve(name, dirname) {
    try {
        var filename = resolve_1.sync(name, {
            basedir: dirname,
            extensions: ['.d.ts'],
            packageFilter: packageFilter
        });
        if (/\.js$/.test(filename)) {
            filename = filename.replace(/\.js$/, '.d.ts');
        }
        fs_1.statSync(filename);
        return filename;
    }
    catch (ex) {
        if (name[0] !== '.') {
            try {
                var filename = resolve_1.sync('@types/' + name, {
                    basedir: dirname,
                    extensions: ['.d.ts']
                });
                fs_1.statSync(filename);
                return filename;
            }
            catch (ex) { }
        }
    }
    return null;
}
function transformImportEqualsDeclaration(statement, scope) {
    var expression = statement.moduleReference
        .expression;
    if (!expression)
        return '';
    return "const " + transformIdentifier_1["default"](statement.name, scope) + " = require(" + transformExpression_1["default"](expression, scope) + ");";
}
exports["default"] = transformImportEqualsDeclaration;
