"use strict";
exports.__esModule = true;
var tt = require("typescript");
var hasModifier_1 = require("./hasModifier");
var transformIdentifier_1 = require("./transformIdentifier");
var transformTypeNode_1 = require("./transformTypeNode");
function transformParameters(parameter, scope) {
    return "[" + transformIdentifier_1["default"](parameter.name, scope) + ": " + transformTypeNode_1["default"](parameter.type, scope) + "]";
}
function transformIndexSignature(node, scope) {
    var covariant = hasModifier_1["default"](node, tt.SyntaxKind.ReadonlyKeyword) ? '+' : '';
    var optional = node.questionToken ? '?' : '';
    var key = transformParameters(node.parameters[0], scope);
    var value = node.type ? transformTypeNode_1["default"](node.type, scope) : 'any';
    return "" + covariant + key + optional + ": " + value;
}
exports["default"] = transformIndexSignature;
