"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformTypeNode_1 = require("./transformTypeNode");
function transformIndexedAccessType(node, scope) {
    if (node.indexType.kind !== tt.SyntaxKind.LiteralType) {
        console.warn(scope.createError('Reverting to any because flow does not support non-string literal IndexedAccessTypes', node.indexType).message);
        return 'any';
    }
    return "$PropertyType<" + transformTypeNode_1["default"](node.objectType, scope) + ", " + transformTypeNode_1["default"](node.indexType, scope) + ">";
}
exports["default"] = transformIndexedAccessType;
