"use strict";
exports.__esModule = true;
var transformBindingName_1 = require("./transformBindingName");
var transformExpression_1 = require("./transformExpression");
var transformTypeNode_1 = require("./transformTypeNode");
function transformParameterDeclaration(param, scope) {
    var spread = param.dotDotDotToken ? '...' : '';
    var name = transformBindingName_1["default"](param.name, scope);
    if (!param.type) {
        return spread + name;
    }
    var optional = param.questionToken ? '?' : '';
    var type = transformTypeNode_1["default"](param.type, scope);
    var initializer = param.initializer ? ' = ' + transformExpression_1["default"](param.initializer, scope) : '';
    return "" + spread + name + optional + ": " + type + initializer;
}
exports["default"] = transformParameterDeclaration;
