"use strict";
exports.__esModule = true;
var tt = require("typescript");
var hasModifier_1 = require("./hasModifier");
var transformPropertyName_1 = require("./transformPropertyName");
var transformTypeNode_1 = require("./transformTypeNode");
function transformPropertyDeclaration(node, scope) {
    if (node.name.kind === tt.SyntaxKind.ComputedPropertyName) {
        console.warn(scope.createError('Dropping computed property', node.name).message);
        return '';
    }
    var covariant = hasModifier_1["default"](node, tt.SyntaxKind.ReadonlyKeyword) ? '+' : '';
    var optional = node.questionToken ? '?' : '';
    var key = transformPropertyName_1["default"](node.name, scope);
    if (!node.type)
        return '';
    var type = transformTypeNode_1["default"](node.type, scope);
    return "" + covariant + key + optional + ": " + type + ";";
}
exports["default"] = transformPropertyDeclaration;
