"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformIdentifier_1 = require("./transformIdentifier");
var transformStringLiteral_1 = require("./transformStringLiteral");
var transformNumericLiteral_1 = require("./transformNumericLiteral");
var transformExpression_1 = require("./transformExpression");
function transformPropertyName(propertyName, scope) {
    switch (propertyName.kind) {
        case tt.SyntaxKind.Identifier:
            return transformIdentifier_1["default"](propertyName, scope);
        case tt.SyntaxKind.StringLiteral:
            return transformStringLiteral_1["default"](propertyName, scope);
        case tt.SyntaxKind.NumericLiteral:
            return transformNumericLiteral_1["default"](propertyName, scope);
        case tt.SyntaxKind.ComputedPropertyName:
            return "[" + transformExpression_1["default"](propertyName.expression, scope) + "]";
    }
}
exports["default"] = transformPropertyName;
