"use strict";
exports.__esModule = true;
var tt = require("typescript");
var hasModifier_1 = require("./hasModifier");
var transformPropertyName_1 = require("./transformPropertyName");
var transformTypeNode_1 = require("./transformTypeNode");
function transformPropertySignature(node, scope) {
    var covariant = hasModifier_1["default"](node, tt.SyntaxKind.ReadonlyKeyword) ? '+' : '';
    var optional = node.questionToken ? '?' : '';
    var key = transformPropertyName_1["default"](node.name, scope);
    var value = node.type ? transformTypeNode_1["default"](node.type, scope) : 'any';
    return "" + covariant + key + optional + ": " + value;
}
exports["default"] = transformPropertySignature;
