"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformClassDeclaration_1 = require("./transformClassDeclaration");
var transformEnumDeclaration_1 = require("./transformEnumDeclaration");
var transformExportAssignment_1 = require("./transformExportAssignment");
var transformExportDeclaration_1 = require("./transformExportDeclaration");
var transformFunctionDeclaration_1 = require("./transformFunctionDeclaration");
var transformImportDeclaration_1 = require("./transformImportDeclaration");
var transformImportEqualsDeclaration_1 = require("./transformImportEqualsDeclaration");
var transformInterfaceDeclaration_1 = require("./transformInterfaceDeclaration");
var transformTypeAliasDeclaration_1 = require("./transformTypeAliasDeclaration");
var transformVariableStatement_1 = require("./transformVariableStatement");
function transformStatement(statement, scope) {
    switch (statement.kind) {
        case tt.SyntaxKind.ClassDeclaration:
            return transformClassDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.EnumDeclaration:
            return transformEnumDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.ExportAssignment:
            return transformExportAssignment_1["default"](statement, scope);
        case tt.SyntaxKind.ExportDeclaration:
            return transformExportDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.FunctionDeclaration:
            return transformFunctionDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.ImportDeclaration:
            return transformImportDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.ImportEqualsDeclaration:
            return transformImportEqualsDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.TypeAliasDeclaration:
            return transformTypeAliasDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.InterfaceDeclaration:
            return transformInterfaceDeclaration_1["default"](statement, scope);
        case tt.SyntaxKind.VariableStatement:
            return transformVariableStatement_1["default"](statement, scope);
        // TODO: support more cases
    }
    throw scope.createError('Unsupported statement kind ' + tt.SyntaxKind[statement.kind], statement);
}
exports["default"] = transformStatement;
