"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformMethodSignature_1 = require("./transformMethodSignature");
var transformIndexSignature_1 = require("./transformIndexSignature");
var transformPropertySignature_1 = require("./transformPropertySignature");
function transformTypeElement(node, scope) {
    switch (node.kind) {
        case tt.SyntaxKind.MethodSignature:
            return transformMethodSignature_1["default"](node, scope);
        case tt.SyntaxKind.PropertySignature:
            return transformPropertySignature_1["default"](node, scope);
        case tt.SyntaxKind.IndexSignature:
            return transformIndexSignature_1["default"](node, scope);
    }
    throw scope.createError('Unsupported type element kind ' + tt.SyntaxKind[node.kind], node);
}
exports["default"] = transformTypeElement;
