"use strict";
exports.__esModule = true;
var transformEntityName_1 = require("./transformEntityName");
var transformTypeNode_1 = require("./transformTypeNode");
function transformTypeReference(node, scope) {
    var name = transformEntityName_1["default"](node.typeName, scope);
    if (name === 'Record' && node.typeArguments && node.typeArguments.length == 2) {
        return "{[key: " + transformTypeNode_1["default"](node.typeArguments[0], scope) + "]: " + transformTypeNode_1["default"](node.typeArguments[1], scope) + "}";
    }
    if (name === 'Pick' && node.typeArguments && node.typeArguments.length == 2) {
        console.warn(scope.createError('Flow does not have a way to represent "Pick", falling back to any', node.typeArguments[0]).message);
        return "{[key: " + transformTypeNode_1["default"](node.typeArguments[1], scope) + "]: any}";
    }
    var args = node.typeArguments ? "<" + node.typeArguments.map(function (arg) { return transformTypeNode_1["default"](arg, scope); }).join(',') + ">" : "";
    return name + args;
}
exports["default"] = transformTypeReference;
